- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/invitations/delete#try-it)

Deletes an invitation.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to delete the requested invitation or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `NOT_FOUND` if no invitation exists with the requested ID.

### HTTP request

`DELETE https://classroom.googleapis.com/v1/invitations/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `id` | `string` Identifier of the invitation to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.rosters`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).